Name:           libopensync-plugin-gnokii
Version:        0.36
Release:        2%{?dist}
Summary:        Gnokii plugin for libopensync

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://www.opensync.org
Source0:        http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  libopensync-devel >= 0.36
BuildRequires:  pkgconfig gnokii-devel

%description
Gnokii plugin for use with libopensync.

%prep
%setup -q

%build
mkdir build
cd build
%cmake -DCMAKE_SKIP_RPATH=YES ../
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
cd build
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/opensync-1.0/plugins/gnokii-sync.so
%{_libdir}/opensync-1.0/formats/gnokii*
%{_datadir}/opensync-1.0/defaults/gnokii-sync

%changelog
* Wed Oct 08 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.36-2
- rebuild for new gnokii

* Fri Jun 20 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.36-1
- version upgrade

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.35-2
- Autorebuild for GCC 4.3

* Fri Dec 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-1
- version upgrade

* Sat Nov 24 2007 josef radinger <cheese@nosuchhost.net> 
- 0.22-3
- remove rpm-scripts
- modify description
- better Requires

* Sat Nov 24 2007 josef radinger <cheese@nosuchhost.net> 
- 0.22-2
- fresh rebuild for fc8
- license
- add Changelog, README to docs
- patch to get rid of compile-error because of enum-errors

* Sat Jun 30 2007 josef radinger <cheese@nosuchhost.net> 
- 0.22-1
- initial version 
- template for spec-file taken from libopensync-plugin-syncml

